Bug 437310 - Mismatch of configuration between pilot-link and hal-info
Mismatch of configuration between pilot-link and hal-info
Product: Fedora
Classification: Fedora
Component: pilot-link (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Ivana Varekova
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-03-13 10:54 EDT by Kevin R. Page
Modified: 2008-03-26 08:36 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-03-26 08:36:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Kevin R. Page 2008-03-13 10:54:31 EDT
hal-info-20080310-1.fc9 contains an updated fdi file for PalmOS handhelds; the
19-pam-acl-management.fdi (sic) shipped with pilot-link-0.12.3-11.fc9
duplicates/clashes with this updated hal-info.

To fix:
1) remove the existing 19-pam-acl-management.fdi from pilot-link
2) add attachment #294521 [details] as

N.B. 19-palm... not 19-pam... this has nothing to do with PAM, but everything to
do with Palms.

The above needs fixing now; the below may happen before F9 release.

I have also pushed the policy part of the configuration upstream - see bug
#280251 comment #127. If:
a) the patch is included in hal-0.5.11, and
b) rawhide/F9 includes the release hal-0.5.11
then pilot-device-file.policy should also be dropped from the pilot-link package.

I will update this bug should this occur (though I'll likely be offline
Comment 1 Kevin R. Page 2008-03-16 06:10:31 EDT
The policy patches were accepted into hal 0.5.11rc1, and will be included in
hal-0.5.11 when it's released.
Comment 2 Kevin R. Page 2008-03-26 05:10:36 EDT
Current rawhide includes: hal-0.5.11-0.2.rc2.fc9, hal-info-20080317-1.fc9

These include all the HAL/PolicyKit configuration required (except the visor
blacklist), so pilot-device-file.policy and 19-palm-acl-management.fdi should
both be dropped from the F9 pilot-link package now.
Comment 3 Ivana Varekova 2008-03-26 08:36:19 EDT
Thanks. Fixed in pilot-link-0.12.3-13.fc9.

Note You need to log in before you can comment on or make changes to this bug.